# bcmf_rundiet_1.R


RUN_Dietary <- function(testfile.csvy) {
  
  # title and program version
  cat("\nRUN DIETARY (Untransformed). Version:", PROG.Version, "\n")

  
  # --- READ DIETARY TEST DATA

  # read aqueous test data from a .csvy file
  cat("\nDIETARY TEST READ: ", testfile.csvy, "\n\n")
  print(readTest_Dietary(testfile.csvy))

  # show the test conditions
  cat("\nTEST.Dietary.Param: \n\n")
  print(TEST.Dietary.Param)


  # --- FIT BMF MODEL UNTRANSFORMED & DIAGNOSTICS

  # fit untransformed
  cat("\nMODEL FIT (Untransformed):\n\n")
  print(fitModel_Dietary())

  # check model diagnostics
  cat("\nMODEL DIAGNOSTICS (Untransformed):\n")
  print(modelDiag_Dietary())
  
  
  # --- PLOT BEST FIT UNTRANSFORMED

  # calculate best fit on untransformed scale
  runBestFit_Dietary()

  # plot best fit on untransformed scale
  plotBestFit_Dietary()
  
  
  # --- UNTRANSFORMED CONFIDENCE LIMITS ----------

  # Bayesian bootstrap for untransformed fit
  bootModel_Dietary()
  
  # scatter plot bootstrap param
  # print(qplot(BMF.ParamBoot$k2.boot, BMF.ParamBoot$c0d.boot))
  
  # print(summary(BMF.ParamBoot$c0d.boot))
  # print(summary(BMF.ParamBoot$k2.boot))

  # prep lower and upper confidence limits of fit
  runConfFit_Dietary()

  # plot them untransformed
  plotConfFit_Dietary()
  
  
  # --- SHOW BMF SUMMARY TABLE (UNTRANSFORMED)

  # Test Parameters
  cat("\nDIETARY TEST PARAMETERS:\n\n")
  print(TEST.Dietary.Param)

  # BMF summary Table for untransformed fit
  cat("\nUNTRANSFORMED SUMMARY TABLE:\n\n")
  print(summaryTable_Dietary(digits = 5))

  cat("\n(End of RUN_Dietary)\n\n")

}

##############################
